Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.platform
Class AblePlatformServiceEventListenerProxy

    java.lang.Object
      com.ibm.able.platform.AblePlatformServiceEventListenerProxy

All Implemented Interfaces:
  AblePlatformServiceEventListener, java.util.EventListener, java.rmi.Remote, java.io.Serializable

public class AblePlatformServiceEventListenerProxy
extends java.lang.Object
implements AblePlatformServiceEventListener, java.io.Serializable

This class defines a listener of platform service events; an instance of this class can serve as a proxy between a generator of platform service events and some listener of those events where the listener can't or doesn't want to make itself visible across a remote interface.

For example, some services may require a listener to be serializable, but a listener may not be able to be serializable. Such listeners can instantiate an AblePlatformServiceEventListenerProxy and register that proxy with such services.

This object simply receives all platform service events for which it is registered and then immediately forwards those events on to the specified (presumably local and ultimate) service event listener object.

See Also:
  Serialized Form

Constructor Summary
`AblePlatformServiceEventListenerProxy(java.lang.Object theSpecifiedListener)` Creates a new platform service event listener proxy which can be registered with service event generators and which will forward received service events on to its specified parent listener.

Method Summary
`void` | `handleAblePlatformServiceEvent(AblePlatformServiceEvent theAblePlatformServiceEvent)` Handles (receives and processes) a service event delivered from a service event generator with which the implementing class has registered.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AblePlatformServiceEventListenerProxy

    public AblePlatformServiceEventListenerProxy(java.lang.Object theSpecifiedListener)
                                          throws java.rmi.RemoteException,
                                                 AbleException

  Creates a new platform service event listener proxy which can be registered with service event generators and which will forward received service events on to its specified parent listener.

Parameters:
  `theSpecifiedListener` - Any object that wants to listen for service events, but cannot register itself directly with the service event generator. Any events caught by this listener are forwarded to the specified listener, which must implement the `AblePlatformServiceEventListener` interface.

Throws:
  `AbleException` - On any error.
  `java.rmi.RemoteException`

Method Detail

### handleAblePlatformServiceEvent

    public void handleAblePlatformServiceEvent(AblePlatformServiceEvent theAblePlatformServiceEvent)
                                        throws AbleException

  Description copied from interface: `AblePlatformServiceEventListener`
  Handles (receives and processes) a service event delivered from a service event generator with which the implementing class has registered.

  Specified by:
    `handleAblePlatformServiceEvent` in interface `AblePlatformServiceEventListener`
  Parameters:
    `theAblePlatformServiceEvent` - An event arriving from a service event generator with which the implementor has registered.

  Throws:
    `AbleException`
  See Also:
    `AblePlatformServiceEventGenerator.addAblePlatformServiceEventListener(AblePlatformServiceEventListener)`, `AblePlatformServiceEventGenerator.removeAblePlatformServiceEventListener(AblePlatformServiceEventListener)`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005